.lbl {
  position: relative;
  display: block;
  height: 17px;
  width: 44px;
  background: #898989;
  border-radius: 100px;
  cursor: pointer;
  transition: all 0.3s ease;
}

.lbl:after {
  position: absolute;
  left: -2px;
  top: -3px;
  display: block;
  width: 23px;
  height: 23px;
  border-radius: 100px;
  background: #fff;
  box-shadow: 0px 3px 3px rgba(0,0,0,0.05);
  content: '';
  transition: all 0.3s ease;
}

.lbl:active:after { transform: scale(1.15, 0.85); }

.cbx:checked ~ label { background: #9cd0e6; }

.cbx:checked ~ label:after {
  left: 20px;
  background: #009ada;
}

.cbx:disabled ~ label {
  background: #d5d5d5;
  pointer-events: none;
}

.cbx:disabled ~ label:after { background: #bcbdbc; }

.container {
  position: absolute;
  top: 250px;
  left: 50%;
  transform: translate(-50%, -50%);
}

.demo { margin-bottom: 40px; }

.hidden { display: none; }
